package fr.monkhanny.dorfromantik.enums;


public enum TileOrientation {
  NORTH, NORTH_EAST, SOUTH_EAST, SOUTH, SOUTH_WEST, NORTH_WEST;


  public TileOrientation oppositeOrientation() {
    switch (this) {
      case NORTH:
        return SOUTH;
      case NORTH_EAST:
        return SOUTH_WEST;
      case SOUTH_EAST:
        return NORTH_WEST;
      case SOUTH:
        return NORTH;
      case SOUTH_WEST:
        return NORTH_EAST;
      case NORTH_WEST:
        return SOUTH_EAST;
      default:
        throw new IllegalArgumentException("Unknown TileOrientation: " + this);
    }
  }
}